Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.util
Class PropertiesUtil

    java.lang.Object
      org.apache.logging.log4j.util.PropertiesUtil

    public final class PropertiesUtil

extends Object

Consider this class private.

Helps access properties. This utility provides a method to override system properties by specifying properties in a properties file.

Constructor Summary
`PropertiesUtil(Properties props)` Constructs a PropertiesUtil using a given Properties object as its source of defined properties.
`PropertiesUtil(String propertiesFileName)` Constructs a PropertiesUtil for a given properties file name on the classpath.

Method Summary
`boolean` | `getBooleanProperty(String name)` Gets the named property as a boolean value.
`boolean` | `getBooleanProperty(String name, boolean defaultValue)` Gets the named property as a boolean value.
`int` | `getIntegerProperty(String name, int defaultValue)` Gets the named property as an integer.
`long` | `getLongProperty(String name, long defaultValue)` Gets the named property as a long.
`static PropertiesUtil` | `getProperties()` Returns the PropertiesUtil used by Log4j.
`String` | `getStringProperty(String name)` Gets the named property as a String.
`String` | `getStringProperty(String name, String defaultValue)` Gets the named property as a String.
`static Properties` | `getSystemProperties()` Return the system properties or an empty Properties object if an error occurs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesUtil

    public PropertiesUtil(Properties props)

  Constructs a PropertiesUtil using a given Properties object as its source of defined properties.

  Parameters:
    `props` - the Properties to use by default

### PropertiesUtil

    public PropertiesUtil(String propertiesFileName)

  Constructs a PropertiesUtil for a given properties file name on the classpath. The properties specified in this file are used by default. If a property is not defined in this file, then the equivalent system property is used.

  Parameters:
    `propertiesFileName` - the location of properties file to load

Method Detail

### getProperties

    public static PropertiesUtil getProperties()

  Returns the PropertiesUtil used by Log4j.

  Returns:
    the main Log4j PropertiesUtil instance.

### getStringProperty

    public String getStringProperty(String name)

  Gets the named property as a String.

  Parameters:
    `name` - the name of the property to look up
  Returns:
    the String value of the property or `null` if undefined.

### getIntegerProperty

    public int getIntegerProperty(String name,
                                  int defaultValue)

  Gets the named property as an integer.

  Parameters:
    `name` - the name of the property to look up
    `defaultValue` - the default value to use if the property is undefined
  Returns:
    the parsed integer value of the property or `defaultValue` if it was undefined or could not be parsed.

### getLongProperty

    public long getLongProperty(String name,
                                long defaultValue)

  Gets the named property as a long.

  Parameters:
    `name` - the name of the property to look up
    `defaultValue` - the default value to use if the property is undefined
  Returns:
    the parsed long value of the property or `defaultValue` if it was undefined or could not be parsed.

### getStringProperty

    public String getStringProperty(String name,
                                    String defaultValue)

  Gets the named property as a String.

  Parameters:
    `name` - the name of the property to look up
    `defaultValue` - the default value to use if the property is undefined
  Returns:
    the String value of the property or `defaultValue` if undefined.

### getBooleanProperty

    public boolean getBooleanProperty(String name)

  Gets the named property as a boolean value. If the property matches the string `"true"` (case-insensitive), then it is returned as the boolean value `true`. Any other non-`null` text in the property is considered `false`.

  Parameters:
    `name` - the name of the property to look up
  Returns:
    the boolean value of the property or `false` if undefined.

### getBooleanProperty

    public boolean getBooleanProperty(String name,
                                      boolean defaultValue)

  Gets the named property as a boolean value.

  Parameters:
    `name` - the name of the property to look up
    `defaultValue` - the default value to use if the property is undefined
  Returns:
    the boolean value of the property or `defaultValue` if undefined.

### getSystemProperties

    public static Properties getSystemProperties()

  Return the system properties or an empty Properties object if an error occurs.

  Returns:
    The system properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.